WordPress.org

Make WordPress Core

Opened 6 years ago

Closed 6 years ago

#25371 closed defect (bug) (fixed)

Replace deprecated $.load() and $.error() methods in image-edit.js

Reported by: ocean90 Owned by: ocean90
Milestone: 3.7 Priority: normal
Severity: normal Version:
Component: General Keywords: has-patch
Focuses: Cc:

Description

Both are deprecated since jQuery 1.8 and producing a warning by jQuery Migrate:

JQMIGRATE: jQuery.fn.error() is deprecated jquery-migrate.js?ver=1.2.1:41
console.trace() jquery-migrate.js?ver=1.2.1:43
migrateWarn jquery-migrate.js?ver=1.2.1:43
jQuery.fn.error jquery-migrate.js?ver=1.2.1:427
imageEdit.refreshEditor image-edit.js?ver=3.7-alpha-25343:184
imageEdit.addStep image-edit.js?ver=3.7-alpha-25343:417
imageEdit.rotate image-edit.js?ver=3.7-alpha-25343:427
onclick post.php?post=29&action=edit:1

Attachments (1)

25371.patch (2.4 KB) - added by ocean90 6 years ago.

Download all attachments as: .zip

Change History (2)

@ocean90
6 years ago

#1 @ocean90
6 years ago

  • Owner set to ocean90
  • Resolution set to fixed
  • Status changed from new to closed

In 25547:

Image Edit: Replace deprecated $.load() and $.error() methods to prevent warnings by jQuery Migrate, fixes #25371.

Note: See TracTickets for help on using tickets.